///
/// The clock, for timing the game loop
///

#ifndef __CLOCK_H__
#define __CLOCK_H__

#include <time.h>

class Clock {

 protected:
  long cur;

 public:
  ~Clock();
  //Clock();
  Clock(long curtime);
  long delta(void);

};

#endif // __CLOCK_H__
